Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.placer.entity
Class QueuedEntityPlacer

    java.lang.Object
      org.drools.planner.core.constructionheuristic.placer.AbstractPlacer
          org.drools.planner.core.constructionheuristic.placer.entity.QueuedEntityPlacer

All Implemented Interfaces:
  EventListener, EntityPlacer, Placer, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class QueuedEntityPlacer

extends AbstractPlacer
implements EntityPlacer

Field Summary
`protected Iterator<Object>` | `entityIterator`
`protected EntitySelector` | `entitySelector`
`protected ValuePlacer` | `valuePlacer`

Fields inherited from class org.drools.planner.core.constructionheuristic.placer.AbstractPlacer
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`QueuedEntityPlacer(EntitySelector entitySelector, ValuePlacer valuePlacer)`

Method Summary
`void` | `doPlacement(ConstructionHeuristicStepScope stepScope)`
`boolean` | `hasPlacement()`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`

Methods inherited from class org.drools.planner.core.constructionheuristic.placer.AbstractPlacer
`solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### entitySelector

    protected final EntitySelector entitySelector

### valuePlacer

    protected final ValuePlacer valuePlacer

### entityIterator

    protected Iterator<Object> entityIterator

Constructor Detail

### QueuedEntityPlacer

    public QueuedEntityPlacer(EntitySelector entitySelector,
                              ValuePlacer valuePlacer)

Method Detail

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractPlacer`

### hasPlacement

    public boolean hasPlacement()

  Specified by:
    `hasPlacement` in interface `EntityPlacer`

### doPlacement

    public void doPlacement(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `doPlacement` in interface `EntityPlacer`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractPlacer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.